# Submit digest

{% hint style="warning" %}
**Pre-release** — The Intents Connect API is currently in development. If you're interested in early access, get in touch with the team.
{% endhint %}

## Submit signed intent payload

> Verifies the frontend signature and stores the signed payload. If the execution is already OPERATION\_PENDING, the transaction moves to SIGNING; otherwise it remains prepared until the deposit completes.

```json
{"openapi":"3.0.3","info":{"title":"Intents Connect API","version":"1.0"},"servers":[{"url":"https://intents-connect-alpha-api.aurora.dev"}],"paths":{"/api/v1/executions/{wallet}/submit":{"post":{"description":"Verifies the frontend signature and stores the signed payload. If the execution is already OPERATION_PENDING, the transaction moves to SIGNING; otherwise it remains prepared until the deposit completes.","parameters":[{"description":"Origin wallet identifier.","in":"path","name":"wallet","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.submitSignatureRequestDoc"}}},"description":"Signed intent payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.statusResultResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Not Found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Conflict"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Internal Server Error"}},"summary":"Submit signed intent payload","tags":["Executions"]}}},"components":{"schemas":{"controllers.submitSignatureRequestDoc":{"properties":{"executionId":{"type":"string"},"publicKey":{"type":"string"},"signature":{"type":"string"}},"type":"object"},"controllers.statusResultResponse":{"properties":{"result":{"$ref":"#/components/schemas/controllers.statusResult"}},"type":"object"},"controllers.statusResult":{"properties":{"status":{"type":"string"}},"type":"object"},"controllers.errorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-connect/intents-connect-api-reference/submit-digest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
